@import './navbar.css';
@import './gallery.css';

body {
  margin: 0;
  padding: 0;
  overflow-x: hidden;
  font-family: sans-serif;
  scroll-behavior: smooth;
}

a:hover {
  text-decoration: underline !important;
}

section {
  background-color: #fefefe;
  font-family: sans-serif;
  height: 90vh;
}

section:not(#body-hero) {
  height: auto;
  width: 100%;
  max-width: 1200px;
  display: flex;
  justify-content: center;
  justify-self: center;
  margin: 10vh 0vh 10vh 0vh;
}

#landing {
  display: flex;
  flex-direction: column;
  height: 100%;
}

#landing .container-head {
  display: flex;
  justify-content: center;
  flex-direction: row;
  gap: 25px;
  width: 100%;
  max-height: 25vh;
  align-items: center;
}

#landing #jackie-hs {
  border-radius: 100%;
  max-height: 25vh;
}

/* @media (max-width: 768px) {
  #landing {
    padding: 50px!important;
  }
} */

#body-hero {
  background-image: url("../assets/Main_Hero.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  /* margin-top: 100px; */
  background-color: #fff;
  display: flex;
  flex-direction: column;
  justify-content: center;
  /* align-items: flex-end; */
  width: 100%;
  /* max-width: 1200px; */
  /* padding: 0px 20px; */
}

#body-hero .container {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  /* max-width: 1200px; */
  /* padding: 0 20px; */
}

#body-hero span {
  color: tan;
}

/* FOOTER STYLES */

footer {
  background-color: #222;
  color: #fff;
  padding: 60px 20px 20px;
  font-family: sans-serif;
}

.footer-container {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  max-width: 1200px;
  margin: 0 auto;
  gap: 40px;
}

.footer-column {
  flex: 1;
  font-size: 0.8rem;
  min-width: 200px;
}

.footer-column h3 {
  font-size: 1rem;
  margin-bottom: 20px;
  border-bottom: 2px solid #444;
  padding-bottom: 10px;
}

.footer-links {
  list-style: none;
  padding: 0;
}

.footer-links li {
  margin-bottom: 10px;
}

.footer-links a,
.footer-column a {
  color: #bbb;
  text-decoration: none;
  transition: color 0.3s;
}

.footer-links a:hover {
  color: #fff;
}

.social-links {
  display: flex;
  margin-top: 15px;
  gap: 25px;
}

.social-links a img {
  width: 20px;
}


.footer-bottom {
  text-align: center;
  margin-top: 50px;
  padding-top: 20px;
  border-top: 1px solid #444;
  color: #777;
  font-size: 0.7rem;
}

@media (max-width: 768px) {
  .footer-container {
    flex-direction: column;
    text-align: center;
    gap: 0.5vh;
  }

  .footer-column {
    width: 100%;
    margin-bottom: 20px;
  }

  .social-links {
    justify-content: center;
    margin-top: 3vh;
  }

  .footer-links {
    padding: 0;
  }

}